#ifndef _USER_GPADC_H_
#define _USER_GPADC_H_
 
#include <stdint.h>
#include <stdlib.h>
#include "cpu_gpadc.h"

typedef enum
{
    GPADC_MODE_CELL = GPADC_CH_CELL,
	GPADC_MODE_GPIO = GPADC_CH_GPIO,

}gpadc_mode_t;

typedef enum
{
    GPADC_ENABLE = GPADC_OPEN,
	GPADC_DISABLE = GPADC_DOWN,

}gpadc_en_t;
void user_gpadc_init(gpio_pin gpio_ping, gpadc_mode_t gpadc_mode, gpadc_en_t gpadc_en);
void gpadc_configuration(void);
float get_voltage_value(void);

#endif
